{% extends "index.html" %}


{% block style_sheets %}
<link type="text/css" rel="stylesheet" href="/static/css/client/units.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/radio.css">
<link type="text/css" rel="stylesheet" href="/static/css/client/size_guide_sm.css">


<style>
    img {
        margin-left: 10%;
        width: 80%;
    }
    .my_info{

        box-shadow: 1px 2px 4px rgba(0, 0, 0, .5);
        padding: 1%;
    }
    .loader{
        margin: auto;
        padding: 10px;
    }

</style>

{% endblock %}

{% block content %}




<!-- Modal -->
<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Item</h4>
            </div>
            <div class="modal-body">
                <div class='modal-images'>

                </div>

                <p id="item-description"></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>







<div class="row">
    <div id="form">
        <div class="col-md-12">
            <h1 class="titles">My shopping cart</h1>
            <table id="shopping_cart_table" class="table table-striped table-bordered  responsive" style="width:100%" >
                <thead>
                    <tr>
                        <th data-field="name" data-sortable="true"> 
                            Item  name </th>
                        <th data-field="name" data-sortable="true"> 
                            Price </th>
                        <th data-field="name" data-sortable="true"> 
                            Count </th>
                        <th data-field="name" data-sortable="true"> View </th>
                    </tr>
                </thead>
                <tbody>
                </tbody>

            </table>


        </div>

    </div>

</div>


<div class="row">
    <div class="">

        <div class="loader"></div>

    </div>


</div>

<div style="margin-left: 12px;" class="row">
    <p>

    <h3>Total: R  <span id="shopping_cart_total"></span></h3>
    </p>

                <div class="form-group">
                    <label>Contact number</label> 
                    <input id="cell_no"  required type="tel" class="form-control">
                </div>
           

                    <div class="">
                        <br>
                        <div class="form-group">

                            {% if pending_deliveries|length > 0 %}
                                <label>Existing deliveries</label><br>
                            {% endif %}

                            {% for d in pending_deliveries %}

                            <div class="radio">
                                <label><input value="{{d.id}}" checked type="radio" name="existing_delivery"> Add to existing delivery: {% if d.units %}
                                    POD
                                    {{d.units[0].unit_name}}
                                    {% elif d.orders %}
                                    Order #
                                    {{d.orders[0].key.id()}}
                                    {% endif %}
                                    on
                                    {{d.date}} </label>
                            </div>

                            {% endfor %}

                        </div>

                    </div>

                    {% if pending_deliveries|length == 0 %}
                    <h3>Schedule an order collection date/time</h3>
                            <div class="row">
                        <div class="col-md-6">
                            <label>Visit date:</label>    <br>
                            <input  required id="pack_date"
                                   class="form-control"/>
                        </div>
                        <div class="col-md-6">
                            <label>Time</label>   <br> 
                            <div class="btn-group btn-group-vertical" data-toggle="buttons">
                                <label class="btn active">
                                    <input value="MORNING" type="radio" name='pack_time' checked><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i> <span>  Morning (8am - 12pm)</span>
                                </label>
                                <label class="btn">
                                    <input value="AFTERNOON" type="radio" name='pack_time'><i class="fa fa-circle-o fa-2x"></i><i class="fa fa-dot-circle-o fa-2x"></i><span> Afternoon (1pm - 5pm)</span>
                                </label>
                            </div>
                            <br>
                        </div>
                    </div>
                        
                    {% endif %}

                





<div class="">
    <br>
    <button id="checkout_btn" style="border: 2px solid #f4c535;"  class='btn'>Checkout</button>
</div>


</div>


{% endblock %}

{% block scripts %}
<script src="../static/js/image-picker.js"></script>
<script src="../static/js/client/shopping_cart.js?v={{js_version}}"></script>
{% endblock %}

